DaemonSet List
This API is used to get a list of daemonsets
get
Authorizations
AuthorizationstringRequired
Type 'Bearer ' followed by your JWT token. Example: "Bearer eyJhbGciOi..."
Query parameters
project_idstringRequired
Project ID
pagestringOptional
Page
limitstringOptional
Limit
searchstringRequired
Search
Responses
200
Successful Response
application/json
codeintegerOptionalExample:
200messagestringOptionalExample:
Successget/core/daemonset
GET /core/daemonset?project_id=text&search=text HTTP/1.1
Host: ai.cloudeka.id/
Authorization: YOUR_API_KEY
Accept: */*
200
Successful Response
{
"code": 200,
"data": {
"daemonset": [
{
"age": "text",
"available": 1,
"containers": "text",
"current": 1,
"desired": 1,
"images": "text",
"name": "text",
"namespace": "text",
"node_selector": "text",
"raw": null,
"ready": 1,
"selector": "text",
"uid": "text",
"uptodate": 1
}
],
"message": "text",
"pagination": {
"count": 1,
"page": 1,
"totalpage": 1
},
"status": "text"
},
"message": "Success"
}Last updated